Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jdbc.local
Class LocalManagedConnectionFactory

    java.lang.Object
      org.jboss.resource.adapter.jdbc.BaseWrapperManagedConnectionFactory
          org.jboss.resource.adapter.jdbc.local.LocalManagedConnectionFactory

All Implemented Interfaces:
  javax.resource.spi.ManagedConnectionFactory, Serializable

public class LocalManagedConnectionFactory
extends BaseWrapperManagedConnectionFactory

LocalManagedConnectionFactory

Version:
Author:
  David Jencks
See Also:
  Serialized Form

Field Summary
`protected String` | `connectionProperties`

Fields inherited from class org.jboss.resource.adapter.jdbc.BaseWrapperManagedConnectionFactory
`checkValidConnectionSQL, connectionChecker, connectionProps, doQueryTimeout, log, newConnectionSQL, password, preparedStatementCacheSize, TRACK_STATEMENTS_FALSE, TRACK_STATEMENTS_FALSE_INT, TRACK_STATEMENTS_NOWARN, TRACK_STATEMENTS_NOWARN_INT, TRACK_STATEMENTS_TRUE, TRACK_STATEMENTS_TRUE_INT, trackStatements, transactionIsolation, userName, validConnectionCheckerClassName`

Constructor Summary
`LocalManagedConnectionFactory()`

Method Summary
`javax.resource.spi.ManagedConnection` | `createManagedConnection(Subject subject, javax.resource.spi.ConnectionRequestInfo cri)`
`boolean` | `equals(Object other)`
`String` | `getConnectionProperties()` Get the value of connectionProperties.
`String` | `getConnectionURL()` Get the value of ConnectionURL.
`protected Driver` | `getDriver(String url)` Check the driver for the given URL.
`String` | `getDriverClass()` Get the DriverClass value.
`int` | `hashCode()`
`protected String` | `internalGetConnectionURL()`
`javax.resource.spi.ManagedConnection` | `matchManagedConnections(Set mcs, Subject subject, javax.resource.spi.ConnectionRequestInfo cri)`
`void` | `setConnectionProperties(String connectionProperties)` Set the value of connectionProperties.
`void` | `setConnectionURL(String connectionURL)` Set the value of ConnectionURL.
`void` | `setDriverClass(String driverClass)` Set the DriverClass value.

Methods inherited from class org.jboss.resource.adapter.jdbc.BaseWrapperManagedConnectionFactory
`createConnectionFactory, createConnectionFactory, getCheckValidConnectionSQL, getConnectionProperties, getExceptionSorterClassName, getLogWriter, getNewConnectionSQL, getPassword, getPreparedStatementCacheSize, getTrackStatements, getTransactionIsolation, getTxQueryTimeout, getUserName, getValidConnectionCheckerClassName, setCheckValidConnectionSQL, setExceptionSorterClassName, setLogWriter, setNewConnectionSQL, setPassword, setPreparedStatementCacheSize, setTrackStatements, setTransactionIsolation, setTxQueryTimeout, setUserName, setValidConnectionCheckerClassName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connectionProperties

    protected String connectionProperties

Constructor Detail

### LocalManagedConnectionFactory

    public LocalManagedConnectionFactory()

Method Detail

### getConnectionURL

    public String getConnectionURL()

  Get the value of ConnectionURL.

  Returns:
    value of ConnectionURL.

### setConnectionURL

    public void setConnectionURL(String connectionURL)

  Set the value of ConnectionURL.

### getDriverClass

    public String getDriverClass()

  Get the DriverClass value.

  Returns:
    the DriverClass value.

### setDriverClass

    public void setDriverClass(String driverClass)

  Set the DriverClass value.

### getConnectionProperties

    public String getConnectionProperties()

  Get the value of connectionProperties.

  Returns:
    value of connectionProperties.

### setConnectionProperties

    public void setConnectionProperties(String connectionProperties)

  Set the value of connectionProperties.

### createManagedConnection

    public javax.resource.spi.ManagedConnection createManagedConnection(Subject subject,
                                                                        javax.resource.spi.ConnectionRequestInfo cri)
                                                                 throws javax.resource.ResourceException

  Returns:
  Throws:
    `javax.resource.ResourceException` -

### matchManagedConnections

    public javax.resource.spi.ManagedConnection matchManagedConnections(Set mcs,
                                                                        Subject subject,
                                                                        javax.resource.spi.ConnectionRequestInfo cri)
                                                                 throws javax.resource.ResourceException

  Returns:
  Throws:
    `javax.resource.ResourceException` -

### hashCode

    public int hashCode()

  Returns:
    hashcode computed according to recommendations in Effective Java.

### equals

    public boolean equals(Object other)

  Returns:

### getDriver

    protected Driver getDriver(String url)
                        throws javax.resource.ResourceException

  Check the driver for the given URL. If it is not registered already then register it.

  Parameters:
    `url` - The JDBC URL which we need a driver for.
  Throws:
    `javax.resource.ResourceException`

### internalGetConnectionURL

    protected String internalGetConnectionURL()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.